API ReferenceOverview
Change the given answer of a previously answered question
PATCH
/v1/chatbot/overview/answerUse this endpoint to change the given answer for a previously answered question.
Authorization
BearerToken AuthorizationBearer <token>
Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.
In: header
Header Parameters
check-id*string
The ongoing check's identifier.
language?string
In some cases, a question needs to be generated to the check during the change of an answer. This parameter determines the language of the generated question. Rolls back to the check's language if not provided.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/v1/chatbot/overview/answer" \ -H "authorization: Bearer <token>" \ -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a" \ -H "Content-Type: application/json" \ -d '{ "questionId": "e38f994b-6464-4c49-8b11-28687031d46d", "answer": { "id": "ebf2b5b3-1d42-40ec-bba0-6a43f9da5b5a" } }'Empty
Last updated on